SELECT
    warpSkyfile.*,
    warpRun.state,
    rawExp.exp_id,
    rawExp.camera
FROM warpRun
JOIN warpSkyfile
    USING(warp_id)
JOIN fakeRun
    ON warpRun.fake_id = fakeRun.fake_id
JOIN camRun
    ON camRun.cam_id   = fakeRun.cam_id
JOIN chipRun
    ON camRun.chip_id  = chipRun.chip_id
JOIN rawExp
    ON chipRun.exp_id  = rawExp.exp_id
WHERE
-- bogus test; just here so there there is a 'WHERE' stmt to append conditionals too
-- XXX EAM : not needed: fix warptool.c
    warpRun.warp_id is NOT NULL
